<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/Lexer.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Lexer.hh Details</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/Lexer.hh</h1><div><a href="../../Source/Synopsis/Lexer.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Token.hh.html" >Synopsis/Token.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html" >Buffer</a>
<div class="doc"><p>Buffer holds the memory on top of which a parse tree / syntax tree is
constructed.</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html" >Lexer</a>
<div class="doc"><p>a Lexer reads tokens from a stream.</p>
</div></div>

</div>
<div><h3>Classes in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html" >Queue</a>
<div class="doc"><p>a Queue is used to read in tokens from a stream
without consuming them</p>
</div></div>

</div>
<div><h3>Data members in Synopsis::Lexer::Queue</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html#my_container" >my_container</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#my_buffer" >my_buffer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#my_comments" >my_comments</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#my_keywords" >my_keywords</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#my_token" >my_token</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#my_tokens" >my_tokens</a>
<div class="doc"></div></div>

</div>
<div><h3>Enums in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#TokenSet" >TokenSet</a>
<div class="doc"><p>Define sets of token that are to be recognized as special
keywords (as opposed to identifiers).</p>
</div></div>

</div>
<div><h3>Functions in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis.html#is_blank_lchar_r" >is_blank&#40;char&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Lexer::InvalidChar</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/InvalidChar.html#InvalidChar_lconst.std_mstring_A_r" >InvalidChar&#40;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#Lexer_lBuffer_S_cint_r" >Lexer&#40;Buffer*&#44;int&#41;</a>
<div class="doc"><p>Construct a Lexer on the given Buffer using the given
token set.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::Lexer::Queue</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" >at&#40;size_type&#41;const</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" >push&#40;const&#160;Token&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#get_token_lToken_A_r" >get_token&#40;Token&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_r" >look_ahead&#40;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_cToken_A_r" >look_ahead&#40;size_t&#44;Token&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#origin_lconst.char_S_cstd_mstring_A_rconst" >origin&#40;const&#160;char*&#44;std::string&amp;&#41;const</a>
<div class="doc"><p>Return the origin of the given pointer
(filename and line number)</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#read_char_const_lunsigned.long_r" >read_char_const&#40;unsigned&#160;long&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#read_number_lchar_cunsigned.long_r" >read_number&#40;char&#44;unsigned&#160;long&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#read_token_lconst.char_S_A_csize_t_A_r" >read_token&#40;const&#160;char*&amp;&#44;size_t&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#restore_lconst.char_S_r" >restore&#40;const&#160;char*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#save_l_r" >save&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#screen_lconst.char_S_csize_t_r" >screen&#40;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#single_char_op_lunsigned.char_r" >single_char_op&#40;unsigned&#160;char&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/InvalidChar.html" >InvalidChar</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::Lexer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#Comments" >Comments</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer.html#Dictionary" >Dictionary</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::Lexer::Queue</h3>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html#Container" >Container</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Lexer/Queue.html#size_type" >size_type</a>
<div class="doc"></div></div>
</div>

</body>
</html>
